# -*- coding: utf-8 -*-
'''
Created on Jul 01, 2014

@author: tc
'''

#from datetime import datetime
from django.conf import settings
from django.shortcuts import get_object_or_404, redirect
#from django.views.generic import TemplateView, View
from hdabo.models import Folder
from hdabo.views import Folders, AddOrUpdateFolder, SearchDatasheet,\
    DeleteFolder


import logging
logger = logging.getLogger(__name__)


class HdalabFolders(Folders):
    template_name = "editorial/folders.html"



class HdalabAddOrUpdateFolder(AddOrUpdateFolder):
    template_name = "editorial/add_or_update_folder.html"
    redirect_view = 'hdalab_folders'



class HdalabDeleteFolder(DeleteFolder):
    redirect_view = 'hdalab_folders'